Bug 991352 - Headpin Nightly : Unsubscribing a subscriptions to a distributor in cli fails
Headpin Nightly : Unsubscribing a subscriptions to a distributor in cli fails
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
sthirugn@redhat.com
: Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-08-02 04:19 EDT by Tazim Kolhar
Modified: 2014-06-19 15:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 13:30:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2013-08-02 04:19:41 EDT
Description of problem:
 Unsubscribing a subscriptions to a distributor in cli fails

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-elasticsearch-1.4.3-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.el6.noarch
katello-cli-common-1.4.3-1.el6.noarch
katello-glue-candlepin-1.4.3-1.el6.noarch
katello-selinux-1.4.4-1.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-headpin-1.4.3-1.el6.noarch
katello-common-1.4.3-1.el6.noarch
katello-headpin-all-1.4.3-1.el6.noarch
katello-configure-1.4.4-1.el6.noarch
katello-repos-1.4.2-1.el6.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=headpin --user-pass=****

Steps to Reproduce:
1.Login to UI
2.Upload a manifest to org
3.Create a distributor and attach some subscriptions to it
4.Go to cli commands try unsubscribing the subscriptions attached to the distributor 
  # headpin -u admin -p *** distributor unsubscribe --org ACME_Corporation --name test_dist --all
Couldn't find system ''


Actual results:
The unsubscribe command for a distributor failed

Expected results:
The unsubscribe command for a distributor successful

Additional info:
Comment 2 sthirugn@redhat.com 2013-09-17 11:08:42 EDT
This failed in SAM 1.3 Snap 6.

* candlepin-0.8.26-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.26-1.el6sam.noarch
* candlepin-tomcat6-0.8.26-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-10.el6sat.noarch
* katello-cli-common-1.4.3-10.el6sat.noarch
* katello-common-1.4.3-13.el6sam_splice.noarch
* katello-configure-1.4.4-4.el6sat.noarch
* katello-glue-candlepin-1.4.3-13.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-13.el6sam_splice.noarch
* katello-headpin-1.4.3-13.el6sam_splice.noarch
* katello-headpin-all-1.4.3-13.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.34-1.el6sam.noarch
* thumbslug-selinux-0.0.34-1.el6sam.noarch
Comment 5 sthirugn@redhat.com 2014-04-30 13:30:00 EDT
Custom Distributor not relevant to Sat 6 now.

Note You need to log in before you can comment on or make changes to this bug.